# SPDX-FileCopyrightText: 2016-2017 Helmut Pozimski <helmut@pozimski.eu>
#
# SPDX-License-Identifier: GPL-2.0-only

# -*- coding: utf8 -*-

""" Contains the dovecot module which manages certificates for the dovecot
mail server.
"""

from amulib import service


def run(config=None, acme_dir="/var/lib/acme",
        named_key_path="/run/named/session.key", dns_server="localhost"):
    """ manages the certificates for dovecot

       :param config: configuration for the service
       :type config: dict
       :param acme_dir: path to the acme state dir
       :type acme_dir: str
       :param named_key_path: path to the named session.key
       :type named_key_path: str
       """
    if not config:
        config = {
            "certificate_path": "/usr/share/ssl/certs/dovecot.pem",
            "key_path": "/usr/share/ssl/private/dovecot.pem",
            "tlsa": True,
            "tlsa_ports": [993]
        }
    service.run("dovecot", config, acme_dir, named_key_path, dns_server)
